Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.drawing
Class OMDistanceLoader

    java.lang.Object
      com.bbn.openmap.tools.drawing.AbstractToolLoader
          com.bbn.openmap.tools.drawing.OMDistanceLoader

All Implemented Interfaces:
  EditToolLoader

public class OMDistanceLoader
extends AbstractToolLoader
implements EditToolLoader

Loader that knows how to create/edit OMDistance objects.

Since:
  1/3/03
Version:
  $Revision: 1.3.2.1 $ on $Date: 2004/10/14 18:27:41 $
Author:
  Ben Lubin

Field Summary
`protected java.lang.String` | `editableClassName`
`protected java.lang.String` | `graphicClassName`

Fields inherited from class com.bbn.openmap.tools.drawing.AbstractToolLoader
`graphicInfo, i18n`

Constructor Summary
`OMDistanceLoader()`

Method Summary
`EditableOMGraphic` | `getEditableGraphic(OMGraphic graphic)` Give an OMGraphic to the EditToolLoader, which will create an EditableOMGraphic for it.
`EditableOMGraphic` | `getEditableGraphic(java.lang.String classname, GraphicAttributes ga)` Give the classname of a graphic to create, returning an EditableOMGraphic for that graphic.
`void` | `init()` Each subclass should initialize the graphicInfo HashMap by calling addEditClassWrapper(EditClassWrapper).

Methods inherited from class com.bbn.openmap.tools.drawing.AbstractToolLoader
`addEditClassWrapper, getEditableClasses, getEditableGraphic, getIcon, getPrettyName, removeEditClassWrapper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.tools.drawing.EditToolLoader
`getEditableClasses, getEditableGraphic, getIcon, getPrettyName`

Field Detail

### graphicClassName

    protected java.lang.String graphicClassName

### editableClassName

    protected java.lang.String editableClassName

Constructor Detail

### OMDistanceLoader

    public OMDistanceLoader()

Method Detail

### init

    public void init()

  Description copied from class: `AbstractToolLoader`
  Each subclass should initialize the graphicInfo HashMap by calling addEditClassWrapper(EditClassWrapper).

  Specified by:
    `init` in class `AbstractToolLoader`

### getEditableGraphic

    public EditableOMGraphic getEditableGraphic(java.lang.String classname,
                                                GraphicAttributes ga)

  Give the classname of a graphic to create, returning an EditableOMGraphic for that graphic. The GraphicAttributes object lets you set some of the initial parameters of the poly, like poly type and rendertype.

  Specified by:
    `getEditableGraphic` in interface `EditToolLoader`
  Overrides:
    `getEditableGraphic` in class `AbstractToolLoader`

### getEditableGraphic

    public EditableOMGraphic getEditableGraphic(OMGraphic graphic)

  Give an OMGraphic to the EditToolLoader, which will create an EditableOMGraphic for it.

  Specified by:
    `getEditableGraphic` in interface `EditToolLoader`
  Specified by:
    `getEditableGraphic` in class `AbstractToolLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details